<div class="canvas-wrapper">
    <div class="box-action">
        <div>
            <input type="file" class="upload-image" (change)="uploadImage($event)">
        </div>

        <div class="box-action-buttons">

            <button (click)="getAnnotationInfo()">Get Annotation Info</button>

        </div>
        <div class="general-settings">
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. A ad consequuntur illo, mollitia numquam optio
            veniam! Autem ipsum minima modi nemo ratione sequi temporibus, ut. Animi assumenda iste nesciunt nobis!
        </div>
    </div>

    <div class="canvas-container">
        <ngx-cropperjs #imageToAnnotate [cropperOptions]="cropperConfig" [imageUrl]="image.src"></ngx-cropperjs>
        <div #markerActivator>
            <button  class="btn-save" (click)="saveBoundingBox()">Save Bound Box <i class="fa fa-save"></i></button>
        </div>

    </div>
    <div class="box-action">
        <br>
        <div *ngIf=currentPixel class="color-info" [style.background-color]="currentPixel">
            <h3>Current Pixel: </h3>
            <div class="">
                {{currentPixel}}
            </div>
        </div>
    </div>
    <div class="image-info-container">
        <div class="image-info-title">
            <h3> Image info </h3>
            <div style="flex: 1 1 auto;"></div>
            <i class="fa fa-info" style="size: 2rem"></i>
        </div>
        <div>
            <hr class="image-info-spacer">
        </div>
        <div class="image-info-content">
            <div><strong>file name</strong>:</div>
            <div><strong>shape</strong>:({{image.height}},{{image.width}})</div>
            <div><strong>width</strong>: {{image.width}}px</div>
            <div><strong>height</strong>: {{image.height}}px</div>
        </div>
    </div>
    <div class="image-info-container">
        <div class="image-info-title">
            <h3> Box info </h3>
            <div style="flex: 1 1 auto;"></div>
            <i class="fa fa-hashtag" style="size: 2rem"></i>
        </div>
        <div>
            <hr class="image-info-spacer">
        </div>
        <div *ngIf="markers.length === 0" class="image-info-content">
            <span>No Bounding boxes yet, click on save to register box. </span>
        </div>
        <div *ngIf="markers.length > 0" class="image-info-content">
            <div *ngFor="let marker of markers" class="marker-box">
                <div class="marker-box-info">
                    <div><strong>xMin</strong>: {{marker.xMin}} <strong>xMax</strong>: {{marker.xMax}}</div>
                    <div><strong>yMin</strong>: {{marker.yMin}} <strong>yMax</strong>: {{marker.yMax}}</div>
                </div>
                <div class="marker-box-delete"><i (click)="deleteMarker(marker);"class="fa fa-trash" style="size: 2rem"></i></div>
            </div>
            <div class="marker-box-download">
                <span><em>Download JSON file containing boxes info</em></span>
                <a class="download-link" (click)="downloadBoxJson()" ><i class="fa fa-arrow-circle-down" style="color: black;size: 2rem;"></i></a>
            </div>
        </div>
    </div>


</div>
